// FILENAME:	SSL_Oberon.cs
//
// Based On:      Campaign map, CinDes03, Earth
//
// AUTHORS:  	Temujin
//------------------------------------------------------------------------------

$missionName = "SSL_Oberon";

exec("multiplayerStdLib.cs");
exec("DMstdLib.cs");

$yellowHealRate = $blueHealRate = $redHealRate = $purpleHealRate = 750;
$padWaitTime = 15;
$zenWaitTime = 60;

// move the map
$server::HudMapViewOffsetX = -5000;
$server::HudMapViewOffsetY = -100;

function player::onAdd(%this)
{
   say(%this, 0, "Welcome to Oberon, the second largest moon of Uranus.\n" @
	$missionName @ " designed by ''|''mJ, and is available at http://www6.50megs.com/temujin.\n\n" @
	"This map was designed for SLA StarSiege League Games.\n" @
	"Blue team is defending, red team is on the attack.\n"  ) ;
}

function setDefaultMissionOptions()
{
	$server::TeamPlay = false;
	$server::AllowDeathmatch = false;
	$server::AllowTeamPlay = true;	

   // what can the client choose for a team
	$server::AllowTeamRed = true;
	$server::AllowTeamBlue = true;
	$server::AllowTeamYellow = false;
	$server::AllowTeamPurple = false;

   // what can the server admin choose for available teams
   $server::disableTeamRed = false;
   $server::disableTeamBlue = false;
   $server::disableTeamYellow = true;
   $server::disableTeamPurple = true;
}

function onMissionStart()
{
}

function onMissionLoad()
{
   cdAudioCycle("Purge", "Terror", "Watching"); 
}

